%define qtmajor 5
%define qtminor 0
%define qtsubminor 2
%define rel 1

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtsvg %mklibname qtsvg %qtmajor
%define libqtsvg_d %mklibname qt5svg -d
%define libqtsvg_p_d %mklibname qt5svg-private  -d

%define qttarballdir qtsvg-opensource-src-%{qtversion}

Name: qtsvg5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt GUI toolkit
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt-project.org
Source0: http://releases.qt-project.org/qt5/%{version}/submodules_tar/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel
BuildRequires: qt5gui-private-devel
BuildRequires: qt5widgets-private-devel
#Branch Patchs

#Trunk Patchs

#Patch from Mageia

%description
The QtSvg module provides classes for displaying and creating SVG files.

#------------------------------------------------------------------------------

%package -n %{libqtsvg}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries

%description -n %{libqtsvg}
Qt%{qtmajor} Component Library.

The QtSvg module provides classes for displaying and creating SVG files.

%files -n %{libqtsvg}
%{_qt5_libdir}/libQt5Svg.so.%{qtmajor}*
# Move in an other package ?
%{_qt5_plugindir}/iconengines/libqsvgicon.so
%{_qt5_plugindir}/imageformats/libqsvg.so

#------------------------------------------------------------------------------

%package -n %{libqtsvg_d}
Summary: Devel files needed to build apps based on QtSvg
Group:    Development/KDE and Qt
Requires: %{libqtsvg} = %version
Provides: libqtsvg5-devel = %version
Provides: libqt5svg-devel = %version
Provides: qtsvg5-devel = %version
Provides: qt5svg-devel = %version

%description -n %{libqtsvg_d}
Devel files needed to build apps based on QtSvg.

%files -n %{libqtsvg_d}
%{_qt5_libdir}/libQt5Svg.prl
%{_qt5_libdir}/libQt5Svg.so
%{_qt5_libdir}/pkgconfig/Qt5Svg.pc
%{_qt5_libdir}/cmake/Qt5Svg
%{_qt5_datadir}/examples/svg
%{_qt5_datadir}/mkspecs/modules/qt_lib_svg.pri
%{_qt5_includedir}/QtSvg
%exclude %{_qt5_includedir}/QtSvg/%qtversion

#------------------------------------------------------------------------------

%package -n %{libqtsvg_p_d}
Summary: Devel files needed to build apps based on QtSvg
Group:    Development/KDE and Qt
Requires: %{libqtsvg_d} = %version
Provides: libqtsvg5-private-devel = %version
Provides: libqt5svg-private-devel = %version
Provides: qtsvg5-private-devel = %version
Provides: qt5svg-private-devel = %version

%description -n %{libqtsvg_p_d}
Devel files needed to build apps based on QtSvg.

%files -n %{libqtsvg_p_d}
%{_qt5_includedir}/QtSvg/%qtversion

#------------------------------------------------------------------------------

%prep
%setup -q -n %qttarballdir

%build
%qmake_qt5

%make
#------------------------------------------------------------------------------

%install
%qmakeinstall_std

# Fix all buildroot paths
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec perl -pi -e "s, -L%{_builddir}/\S+,,g" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*la' -print -exec perl -pi -e "s, -L%{_builddir}/?\S+,,g" {} \;

# Don't reference builddir neither /usr(/X11R6)?/ in .pc files.
perl -pi -e '\
s@-L/usr/X11R6/%{_lib} @@g;\
s@-I/usr/X11R6/include @@g;\
s@-L/%{_builddir}\S+@@g'\
    `find . -name \*.pc`

# .la and .a files, die, die, die.
rm -f %{buildroot}%{_qt5_libdir}/lib*.la
rm -f %{buildroot}%{_qt5_libdir}/lib*.a



%changelog

* Wed Apr 17 2013 neoclust <neoclust> 5.0.2-1.mga3
+ Revision: 410391
- New version 5.0.2

* Sat Feb 02 2013 neoclust <neoclust> 5.0.1-1.mga3
+ Revision: 393999
- New version 5.0.1 Final

* Wed Jan 30 2013 neoclust <neoclust> 5.0.1-0.rc1.2.mga3
+ Revision: 393557
- Slip private headers in its own subpackage

* Sat Jan 26 2013 neoclust <neoclust> 5.0.1-0.rc1.1.mga3
+ Revision: 392360
- New version 5.0.1 rc1
- Rebuild with new path

  + fwang <fwang>
    - use xz

* Sun Jan 13 2013 umeabot <umeabot> 5.0.0-2.mga3
+ Revision: 380056
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 neoclust <neoclust> 5.0.0-1.mga3
+ Revision: 337516
- Qt 5.0.0 Final

* Sat Nov 17 2012 neoclust <neoclust> 5.0.0-0.beta.16.mga3
+ Revision: 319082
- imported package qtsvg5

